.. _apimodelgnn:

Graph Neural Networks for Updating Node/Edge Representations
============================================================

All models based on graph neural networks start with updating node/edge representations.
We introduce various GNN models implemented in DGL-LifeSci for representation update.

.. contents:: Contents
    :local:

AttentiveFP
-----------
.. automodule:: dgllife.model.gnn.attentivefp
    :members:

GAT
---
.. automodule:: dgllife.model.gnn.gat
    :members:

GCN
---
.. automodule:: dgllife.model.gnn.gcn
    :members:

MGCN
----
.. automodule:: dgllife.model.gnn.mgcn
    :members:

MPNN
----
.. automodule:: dgllife.model.gnn.mpnn
    :members:

SchNet
------
.. automodule:: dgllife.model.gnn.schnet
    :members:

WLN
---
.. automodule:: dgllife.model.gnn.wln
    :members:
